Skip to main content
POST
/
api
/
tax_types
Create a tax type
curl --request POST \
  --url https://clarus-api.com/api/tax_types \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Clarus-Subdomain: <api-key>' \
  --data '
{
  "data": {
    "type": "tax_types",
    "attributes": {
      "code": "VAT20",
      "description": "Standard rated VAT",
      "rate": 20
    }
  }
}
'
{
  "data": {
    "id": "1",
    "type": "tax_types",
    "attributes": {
      "code": "VAT20",
      "description": "Standard rated VAT",
      "rate": 20
    }
  }
}

Request Structure

{
  "data": {
    "type": "tax_types",
    "attributes": {
      "code": "VAT20",
      "description": "Standard rated VAT",
      "rate": 20.0
    }
  }
}

Key Fields

FieldRequiredDescription
codeYesTax type code
descriptionYesTax type description
rateYesTax rate percentage

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.

X-Clarus-Subdomain
string
header
required

The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.

Body

application/json
data
object
required

Response

Tax type created successfully

data
object